AllDom
All operations require authentication.
List all the AllDom resourcesBeta
Query parameters
Filter resources on IAM tags
Headers
Pagination cursor
Pagination size
Response
Computed hash used to control concurrent modification requests
The representation of the AllDom's current state
Ongoing asynchronous tasks related to the AllDom resource
IAM resource metadata
Unique identifier of the resource. Here, the AllDom name itself is used as an identifier.
Reflects the readiness of the AllDom resource
CREATINGCREATION_PLANNEDDELETINGERROROUT_OF_SYNCREADYSUSPENDEDUNKNOWNUPDATINGReads your token from $OVH_TOKEN
$ curl https:/ / api.eu.ovhcloud.com/ v2/ domain/ alldom \
-H "authorization: Bearer $OVH_TOKEN"[ { "checksum": "string", "currentState": { "domains": [ { "dnssecActivated": true, "expiresAt": "2024-01-01T12:00:00Z", "extension": "string", "mainState": "DELETED", "name": "string", "nameServers": [ { "ips": null, "ipv4": null, "ipv6": null, "nameServer": null, "nameServerType": null } ], "protectionState": "PROTECTED", "registrationStatus": "REGISTERED", "suspensionState": "NOT_SUSPENDED" } ], "extensions": [ "be" ], "name": "string", "type": "FRENCH" }, "currentTasks": [ { "errors": [ { "message": "string" } ], "id": "00000000-0000-0000-0000-000000000000", "link": "string", "status": "ERROR", "type": "string" } ], "iam": { "displayName": "string", "id": "00000000-0000-0000-0000-000000000000", "state": "EXPIRED", "tags": { "key": "string" }, "urn": "string" }, "id": "string", "resourceStatus": "CREATING" }]
Get an AllDom resourceBeta
Path parameters
Alldom name
Response
Computed hash used to control concurrent modification requests
The representation of the AllDom's current state
Ongoing asynchronous tasks related to the AllDom resource
IAM resource metadata
Unique identifier of the resource. Here, the AllDom name itself is used as an identifier.
Reflects the readiness of the AllDom resource
CREATINGCREATION_PLANNEDDELETINGERROROUT_OF_SYNCREADYSUSPENDEDUNKNOWNUPDATINGExample uses alldomName = string
$ curl https:/ / api.eu.ovhcloud.com/ v2/ domain/ alldom/ {alldomName} \
-H "authorization: Bearer $OVH_TOKEN"{ "checksum": "string", "currentState": { "domains": [ { "dnssecActivated": true, "expiresAt": "2024-01-01T12:00:00Z", "extension": "string", "mainState": "DELETED", "name": "string", "nameServers": [ { "ips": [ null ], "ipv4": "192.0.2.0", "ipv6": "2001:41d0:1:1994::1", "nameServer": "string", "nameServerType": "ANYCAST" } ], "protectionState": "PROTECTED", "registrationStatus": "REGISTERED", "suspensionState": "NOT_SUSPENDED" } ], "extensions": [ "be" ], "name": "string", "type": "FRENCH" }, "currentTasks": [ { "errors": [ { "message": "string" } ], "id": "00000000-0000-0000-0000-000000000000", "link": "string", "status": "ERROR", "type": "string" } ], "iam": { "displayName": "string", "id": "00000000-0000-0000-0000-000000000000", "state": "EXPIRED", "tags": { "key": "string" }, "urn": "string" }, "id": "string", "resourceStatus": "CREATING"}
List tasks related to a managed AllDom resourceBeta
Path parameters
Alldom name
Headers
Pagination cursor
Pagination size
Response
Creation date of the task
Errors that occurred on the task
Ending date of the task
Unique identifier of the task
Link to the related resource
Description of the task
Progress steps of the asynchronous operation
Starting date of the task
Current global status of the task
DONEERRORPENDINGRUNNINGSCHEDULEDWAITING_USER_INPUTType of the task
Last update of the task
Example uses alldomName = string
$ curl https:/ / api.eu.ovhcloud.com/ v2/ domain/ alldom/ {alldomName}/ task \
-H "authorization: Bearer $OVH_TOKEN"[ { "createdAt": "2024-01-01T12:00:00Z", "errors": [ { "message": "string" } ], "finishedAt": "2024-01-01T12:00:00Z", "id": "00000000-0000-0000-0000-000000000000", "link": "string", "message": "string", "progress": [ { "name": "string", "status": "DONE" } ], "startedAt": "2024-01-01T12:00:00Z", "status": "DONE", "type": "string", "updatedAt": "2024-01-01T12:00:00Z" }]
Get a specific task related to a managed AllDom resourceBeta
Path parameters
Alldom name
Task ID
Response
Creation date of the task
Errors that occurred on the task
Ending date of the task
Unique identifier of the task
Link to the related resource
Description of the task
Progress steps of the asynchronous operation
Starting date of the task
Current global status of the task
DONEERRORPENDINGRUNNINGSCHEDULEDWAITING_USER_INPUTType of the task
Last update of the task
Example uses alldomName = string, taskId = 00000000-0000-0000-0000-000000000000
$ curl https:/ / api.eu.ovhcloud.com/ v2/ domain/ alldom/ {alldomName}/ task/ {taskId} \
-H "authorization: Bearer $OVH_TOKEN"{ "createdAt": "2024-01-01T12:00:00Z", "errors": [ { "message": "string" } ], "finishedAt": "2024-01-01T12:00:00Z", "id": "00000000-0000-0000-0000-000000000000", "link": "string", "message": "string", "progress": [ { "name": "string", "status": "DONE" } ], "startedAt": "2024-01-01T12:00:00Z", "status": "DONE", "type": "string", "updatedAt": "2024-01-01T12:00:00Z"}
List available AllDom servicesProduction
Query parameters
Filter resources on IAM tags
Response
Reads your token from $OVH_TOKEN
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ allDom \
-H "authorization: Bearer $OVH_TOKEN"[ "string"]
Get this AllDom propertiesProduction
Path parameters
Service name
Response
IAM resource metadata
Name of the allDom
Offer of the allDom
diamondgoldplatinumType of the allDom
frenchfrench+internationalinternationalExample uses serviceName = string
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ allDom/ {serviceName} \
-H "authorization: Bearer $OVH_TOKEN"{ "iam": { "displayName": "string", "id": "00000000-0000-0000-0000-000000000000", "state": "EXPIRED", "tags": { "key": "string" }, "urn": "string" }, "name": "string", "offer": "diamond", "type": "french"}
List all domains attached to this allDomProduction
Path parameters
Service name
Query parameters
Filter the value of domain property (like)
Response
Example uses serviceName = string
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ allDom/ {serviceName}/ domain \
-H "authorization: Bearer $OVH_TOKEN"[ "string"]
Get this AllDom domain propertiesProduction
Path parameters
Domain
Service name
Response
Domain name
Example uses domain = string, serviceName = string
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ allDom/ {serviceName}/ domain/ {domain} \
-H "authorization: Bearer $OVH_TOKEN"{ "domain": "string"}
Get service informationProduction
Path parameters
Service name
Response
Indicates that the service can be set up to be deleted at expiration
All the possible renew period of your service in month
Way of handling the renew
Detailed renewal type of a service
automaticForcedProductautomaticV2012automaticV2014automaticV2016automaticV2024manualoneShotoptionautorenewInProgressexpiredinCreationokpendingDebtunPaidExample uses serviceName = string
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ allDom/ {serviceName}/ serviceInfos \
-H "authorization: Bearer $OVH_TOKEN"{ "canDeleteAtExpiration": true, "contactAdmin": "string", "contactBilling": "string", "contactTech": "string", "creation": "2024-01-01", "domain": "string", "engagedUpTo": "2024-01-01", "expiration": "2024-01-01", "possibleRenewPeriod": [ 0 ], "renew": { "automatic": true, "deleteAtExpiration": true, "forced": true, "manualPayment": true, "period": 0 }, "renewalType": "automaticForcedProduct", "serviceId": 0, "status": "autorenewInProgress"}
Update service informationProduction
Path parameters
Service name
Request body (required)
Indicates that the service can be set up to be deleted at expiration
All the possible renew period of your service in month
Way of handling the renew
Detailed renewal type of a service
automaticForcedProductautomaticV2012automaticV2014automaticV2016automaticV2024manualoneShotoptionautorenewInProgressexpiredinCreationokpendingDebtunPaidResponse
Example uses serviceName = string
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ allDom/ {serviceName}/ serviceInfos \
-H "authorization: Bearer $OVH_TOKEN"